Summary:	X.org input driver for Linux generic event devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla ogólnych urządzeń linuksowych generujących zdarzenia
Name:		xorg-driver-input-evdev
Version:	2.8.2
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-evdev-%{version}.tar.bz2
# Source0-md5:	be7f91905c41bb3c3a0eb54063c7e4bf
Source1:	evdev.conf
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mtdev-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xorg-proto-inputproto-devel >= 2.2
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.12
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Linux generic event devices. It supports all
input devices that the kernel knows about, including most mice and
keyboards.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla ogólnych urządzeń linuksowych
generujących zdarzenia. Obsługuje wszystkie urządzenia wejściowe znane
przez jądro, w tym większość myszy i klawiatur.

%package devel
Summary:	Header file for evdev driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika evdev
Group:		Development/Libraries

%description devel
Header file for evdev driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika evdev.

%prep
%setup -q -n xf86-input-evdev-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11/xorg.conf.d
cp -p %{SOURCE1}  $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/10-evdev.conf

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%config(noreplace) %verify(not md5 mtime size) /etc/X11/xorg.conf.d/10-evdev.conf
%attr(755,root,root) %{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/evdev-properties.h
%{_pkgconfigdir}/xorg-evdev.pc
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-evdev.git;a=log;h=master

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> cd16951
- release 2 (by relup.sh)

* Mon Oct 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ce425e6
- up to 2.8.2

* Thu Jul 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c379d85
- up to 2.8.1

* Sun Jun 02 2013 Elan Ruusamäe <glen@delfi.ee> 3f5b866
- add sample how to restore x11 zap

* Tue Mar 26 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5111764
- up to 2.8.0

* Wed Mar 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e71f4a
- rel 3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 34b1d30
- release 2 (by relup.sh)

* Tue Aug 14 2012 Łukasz Kieś <kiesiu@pld-linux.org> d2313c0
- updated to 2.7.3

* Mon Aug 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4a04f97
- updated to 2.7.2

* Wed Jul 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 6028d49
- updated to 2.7.1
- adjusted BRs to ensure mtdev support is built

* Wed Mar 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 768c671
- updated minimal xserver version
- BR: udev-devel

* Wed Mar 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e7e3b13
- up to 2.7.0

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b560ff6
- release 4

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 37f6a38
- release 3

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b1d736
- release 2

* Tue Jan 11 2011 Jakub Bogusz <qboosh@pld-linux.org> d2cc3df
- use __rm macro

* Tue Jan 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 53daf87
- up to 2.6.0

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 4eafa34
- rel 2

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 3f05b6d
- use requires_xorg_* macros in a way which allows to check rpm-build-macros BR first

* Sat Aug 28 2010 Jakub Bogusz <qboosh@pld-linux.org> de6f79a
- added README to doc
- updated deps

